package com.pixelized.headache.ui.navigation.destination

import androidx.navigation3.runtime.EntryProviderScope
import com.pixelized.headache.ui.navigation.main.MainDestination
import com.pixelized.headache.ui.navigation.main.MainNavigator
import com.pixelized.headache.ui.page.calendar.CalendarChooserPage

data object CalendarChooserDestination : MainDestination

fun EntryProviderScope<Any>.calendarChooserDestinationEntry() {
    entry<CalendarChooserDestination> {
        CalendarChooserPage()
    }
}

fun MainNavigator.navigateToCalendarChooserPage() {
    goTo(CalendarChooserDestination)
}